forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Crossley (JIRA)" <>
Subject [jira] Updated: (FOR-955) upgrade our packaged Cocoon to use Cocoon-2.1 branch
Date Thu, 21 Aug 2008 15:36:45 GMT


David Crossley updated FOR-955:

    Affects Version/s: 0.9-dev
              Summary: upgrade our packaged Cocoon to use Cocoon-2.1 branch  (was: notes for
experiment using Cocoon 2.1 branch in Forrest)

Modified the Issue Summary - it is beyond an "experiment" now - hooray.

> upgrade our packaged Cocoon to use Cocoon-2.1 branch
> ----------------------------------------------------
>                 Key: FOR-955
>                 URL:
>             Project: Forrest
>          Issue Type: Task
>          Components: Core operations
>    Affects Versions: 0.9-dev
>            Reporter: David Crossley
>         Attachments: 955.diff
> These are the steps to get Forrest running with Cocoon-2.1 rather than the current situation
which uses an old Cocoon trunk. Not everything yet works, but enough to give hope. See discussion
>  Re: upgrade strategies for our packaged Cocoon
> --------------------------
> Steps:
> Revert main/java/org/apache/forrest/util/ r111200
> Revert main/java/org/apache/forrest/util/ r111200
> Edit main/webapp/WEB-INF/cocoon.xconf
> to change version attribute to ... cocoon version="2.1"
> Move content of WEB-INF/xconf/forrest-core.xconf into WEB-INF/cocoon.xconf
> Remove the <components> wrapper.
> Build cocoon-branch-2_1_X for the blocks that we use (see our etc/cocoon_upgrade) and
replace the jars in lib/core

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message